Bug 1125790 - [RHEL5] net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed Disks"
Summary: [RHEL5] net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp
Version: 5.11
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 04:32 UTC by Nilesh Parmar
Modified: 2019-07-11 08:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-08 18:00:09 UTC


Attachments (Terms of Use)

Description Nilesh Parmar 2014-08-01 04:32:31 UTC
Description of problem:
net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed Disks"
 
Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-22.el5_10.1

How reproducible:
Always

Steps to Reproduce:
1. set storageUseNFS 2 in /etc/snmp/snmpd.conf file
2. Execute snmpwalk against "HOST-RESOURCES-MIB::hrStorageTable" and check output

Actual results:
NFS share reported as hrStorageNetworkDisk

Expected results:
NFS share should be reported as hrStorageFixedDisk

Additional info: 

Reproducer:

[root@localhost /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
...
192.168.122.68:/mnt/share
                      5.5G  3.5G  1.8G  68% /media           <---

[root@localhost /]# snmpwalk -v 1 -c public  localhost HOST-RESOURCES-MIB::hrStorageTable
...
HOST-RESOURCES-MIB::hrStorageIndex.35 = INTEGER: 35
HOST-RESOURCES-MIB::hrStorageIndex.36 = INTEGER: 36
HOST-RESOURCES-MIB::hrStorageIndex.40 = INTEGER: 40
...
HOST-RESOURCES-MIB::hrStorageType.31 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
HOST-RESOURCES-MIB::hrStorageType.35 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
HOST-RESOURCES-MIB::hrStorageType.36 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
HOST-RESOURCES-MIB::hrStorageType.40 = OID: HOST-RESOURCES-TYPES::hrStorageNetworkDisk        <---
...
HOST-RESOURCES-MIB::hrStorageDescr.31 = STRING: /
HOST-RESOURCES-MIB::hrStorageDescr.35 = STRING: /boot
HOST-RESOURCES-MIB::hrStorageDescr.36 = STRING: /dev/shm
HOST-RESOURCES-MIB::hrStorageDescr.40 = STRING: /media                                         <---

Comment 4 Chris Williams 2014-10-08 18:00:09 UTC
RHEL 5 is now in Production Phase 3.
https://access.redhat.com/support/policy/updates/errata/#Production_3_Phase
No further minor release are planned for this product.
This BZ is being closed as it does not meet phase 3 inclusion criteria.


Note You need to log in before you can comment on or make changes to this bug.